%define upstream_version 16.0.0-0
%{!?upstream_version: %global upstream_version %{version}%{?milestone}}

Name:       openstack-dashboard-theme
Version:    16.0.3
Release:    1%{?dist}
Epoch:	    1
Provides:   openstack-dashboard-theme = 1:%{version}-%{release}
Summary:    Red Hat branding for OpenStack Dashboard.

Group:      Development/Libraries
License:    ASL 2.0
URL:        http://redhat.com

Source0:    openstack-dashboard-theme-rhos-%{upstream_version}.tar.gz
BuildArch:  noarch

%description
Customization module for OpenStack Dashboard to provide a branded logo.

%prep
%autosetup -n openstack-dashboard-theme-rhos-%{upstream_version}

%build

%install
install -d -m 755 %{buildroot}%{_datadir}/openstack-dashboard/openstack_dashboard/themes/
install -d -m 755 %{buildroot}%{_sysconfdir}/openstack-dashboard/local_settings.d/
cp -r rcue/ %{buildroot}%{_datadir}/openstack-dashboard/openstack_dashboard/themes/
cp local_settings.d/_11_rcue_theme.py* %{buildroot}%{_sysconfdir}/openstack-dashboard/local_settings.d/

%check

%files
%{_datadir}/openstack-dashboard/openstack_dashboard/themes/rcue
%config(noreplace) %{_sysconfdir}/openstack-dashboard/local_settings.d/_11_rcue_theme.py*

%changelog
* Thu Jul 22 2021 Radomir Dopieralski <rdopiera@redhat.com> - 1:16.0.3-1
- Fix rhbz#1980809 Logout reason is not displayed

* Thu Jun 27 2019 Radomir Dopieralski <rdopiera@redhat.com> - 1:16.0.0-1
- Update to version 12.0.1

* Thu Jun 13 2019 Shreshtha Joshi <shrjoshi@redhat.com> - 1:16.0.0-1
- Bum version for osp 16

* Wed Jan 30 2019 Lon Hohberger <lon@redhat.com> 1:15.0.0-1
- Bump version

* Wed Aug 29 2018 Thierry Vignaud <tvignaud@redhat.com> 1:14.0.0-1
- Bump version in order to meet openstack-dashboard's requirements

* Wed Apr 04 2018 Radomir Dopieralski <openstack@sheep.art.pl> 1:13.0.0-1
- Update to 13.0.0

* Wed Feb 7 2018 Radomir Dopieralski <rdopiera@redhat.com> 12.0.0-4.el7ost
- mark the local_settings.d directory as configuration
* Wed Aug 30 2017 Thierry Vignaud <tvignaud@redhat.com> 12.0.0-3.el7ost
- add back Epoch thus fixing upgrade from rhosp11 where this pkg was a subpkg
  of python-django-horizon which had an Epoch tag (Resolves rhbz#1466345)
